<template>
  <div class="app-container enterprise_contatiner">
    <div class="title_wrap">
      <div class="enterprise_title">
        查企业
        <img style="position: relative;top:-10px;width:80px;height:16px;" src="@/assets/images/owner/tip.png" alt="">

      </div>
    </div>
    <div class="content">
      <div class="content_item content_item_padding0">
        <div class="content_right item_ckquery_list">
          <el-input class="ename_input" clearable placeholder="请输入关键字，如企业名称、统一社会信用代码等" v-model="ename" @input="projectNamebtn('ename',ename,'关键字:')">
            <div slot="append" class="btn-search" @click="search()">搜索</div>
          </el-input>
          <!-- <template v-if="ename">
			            <span v-for=" (item,k)  in enameQueryTypeList" :key="k" style="margin-right: 24px;">
			                <el-radio v-model="enameQueryType" :label="item.key">{{item.value}}</el-radio>
			            </span>
			        </template> -->
        </div>
      </div>
      <div class="content_item">
        <div class="label">企业资质</div>
        <div class="content_right content_item_ckquery">
          <div class="item_ckquery_list" v-for="(item,i) in aptitudeDtoList" :key="i" :class="i>0?'item_ckquery_distance':''">
            <el-cascader :options="optionss" separator='丨' clearable :ref="i" class="content_item_list" v-model="item.codeStr" @change='optionsbtn(i)'
              filterable :props="{
			        				checkStrictly:true,
			        			    label:'name',
			        				value:'id',
			        				children:'list',
			        				expandTrigger:'hover'
			        			   }" popper-class='content_item_zizi'>
            </el-cascader>
            <div class="ckquery_list_right" v-show="i==aptitudeDtoList.length-1" style="position: relative;">
              <span class="item_ckquery_btn" @click="addAptitudeDtoList">
                <i class="el-icon-plus" style="font-size:14px"></i>

                增加资质
              </span>

              <template>
                <span v-for=" (kitme,k)  in item.queryTypelist" :key="k">
                  <el-radio v-model="item.queryType" @change="activebtnqueryType(k,i)" :label="kitme.key">
                    {{kitme.value}}
                  </el-radio>
                </span>
              </template>

            </div>
          </div>
        </div>
      </div>
      <div class="content_item content_item1">
        <div class="label">更多筛选</div>
        <div class="content_right ">
          <!-- <div class="select-popper">
						<div class=" " :class="regionWeb.length>0?'select-active':''">
							备案网站{{regionWeb.length>0?(regionWeb.length+'项'):''}}
							<i class="el-icon-caret-bottom"></i>
						</div>

						<el-select v-model="regionWeb" @input="regionWebbtn"  class="select-multiple" multiple
							placeholder="请选择">
							<el-option v-for=" (itme,i)  in regionWebList" :key="i" :label="itme"
								:value="itme">
							</el-option>

						</el-select>
					</div> -->
          <div class="select-popper">
            <el-dropdown trigger="click" placement='bottom-start'>
              <div class="el-dropdown-link " :class="filePlaceCode?'select-active':''">
                <span>进省备案{{filePlaceCode?' 1项':''}}</span>
                <i class="el-icon-caret-bottom"></i>
              </div>
              <el-dropdown-menu slot="dropdown" class="select-list select-radio" ref='select-radio'>
                <el-dropdown-item v-for="(itme,i)  in filePlaceCodeList" :key="i">
                  <el-radio :label="itme.id" v-model="filePlaceCode" @input="activebtnaddress()">
                    {{itme.label}}
                  </el-radio>
                </el-dropdown-item>
              </el-dropdown-menu>
            </el-dropdown>
          </div>
          <div class="select-popper">
            <template v-if="filePlaceCode">
              <el-dropdown trigger="click" placement='bottom-start'>
                <div class="el-dropdown-link " :class="filePlaceType?'select-active':''">
                  本省与进省企业{{filePlaceType?' 1项':''}}
                  <i class="el-icon-caret-bottom"></i>
                </div>
                <el-dropdown-menu slot="dropdown" class="select-list select-radio">
                  <el-dropdown-item v-for="(itme,i)  in filePlaceTypeList" :key="i">
                    <el-radio :label="itme.value" v-model="filePlaceType" @input="filePlaceTypeList_btn(i)">
                      {{itme.text}}
                    </el-radio>
                  </el-dropdown-item>
                </el-dropdown-menu>
              </el-dropdown>
            </template>
            <template v-else>
              <el-popover placement="top-start" width="200" trigger="hover">
                <div class="select-popper-title">
                  请先选择<span class="colorhover">进省备案</span>后，再选择本省与进省企业！
                </div>

                <div class="" slot="reference">
                  本省与进省企业
                  <i class="el-icon-caret-bottom"></i>

                </div>
              </el-popover>
            </template>
          </div>
          <div class="select-popper">
            <div class=" " :class="addresslength>0?'select-active':''">
              工商注册地{{addresslength>0?(addresslength+'项'):''}}
              <i class="el-icon-caret-bottom"></i>
            </div>
            <el-cascader ref="address" class="cascader-region" popper-class='cascader-region-addd' @input="addressListbtn" v-model="addressType"
              :options="addressList" :props="props" collapse-tags></el-cascader>
          </div>
          <!-- <div class="select-popper">
						<el-dropdown trigger="click" placement='bottom-start'>
							<div class="el-dropdown-link " :class="radioQuali?'select-active':''">
								有无资质{{radioQuali?' 1项':''}}
								<i class="el-icon-caret-bottom"></i>
							</div>

							<el-dropdown-menu slot="dropdown" class="select-list select-radio">
								<el-dropdown-item v-for="(itme,i)  in qualifiedType" :key="i">
									<el-radio :label="itme.key" v-model="radioQuali" @input="qualifiedTypebtn()">
										{{itme.value}}
									</el-radio>
								</el-dropdown-item>
							</el-dropdown-menu>

						</el-dropdown>
					</div> -->
          <!-- <div class="select-popper">
						<el-dropdown trigger="click" placement='bottom-start'>
							<div class="el-dropdown-link " :class="hasPhone?'select-active':''">
								有无联系电话{{hasPhone?' 1项':''}}

								<i class="el-icon-caret-bottom"></i>
							</div>

							<el-dropdown-menu slot="dropdown" class="select-list select-radio">
								<el-dropdown-item v-for="(itme,i)  in hasPhoneType" :key="i">
									<el-radio :label="itme.key" v-model="hasPhone" @input="hasPhoneTypebtn()">
										{{itme.value}}
									</el-radio>
								</el-dropdown-item>
							</el-dropdown-menu>

						</el-dropdown>
					</div> -->
          <!-- <div class="select-popper">
						<el-dropdown trigger="click"  placement='bottom-start'>
							<div class="el-dropdown-link " :class="hasLiceCert!=''?'select-active':''">
								<span>建筑安许证{{hasLiceCert!=''?' 1项':''}}</span>
								<i class="el-icon-caret-bottom"></i>
							</div>

							<el-dropdown-menu slot="dropdown" class="select-list select-radio">
								<el-dropdown-item v-for="itme  in hasLiceCertList" :key="itme.key">
									<el-radio :label="itme.key" v-model="hasLiceCert" @input="hasLiceCertListbtn()">
										{{itme.value}}
									</el-radio>
								</el-dropdown-item>
							</el-dropdown-menu>

						</el-dropdown>
					</div> -->
          <div class="select-popper">
            <div class=" " :class="systemValue.length>0?'select-active':''">
              管理体系认证{{systemValue.length>0?(systemValue.length+'项'):''}}
              <i class="el-icon-caret-bottom"></i>
            </div>

            <el-select v-model="systemValue" @input="systemCertificationbtn" popper-class='select-multiple-pop' class="select-multiple" multiple
              placeholder="请选择">
              <el-option v-for=" (itme,i)  in systemCertification" :key="i" :label="itme.value" :value="itme.key">
              </el-option>

            </el-select>
          </div>
          <div class="select-popper">
            <el-dropdown trigger="click" placement='bottom-start'>
              <div class="el-dropdown-link " :class="isHighTechtext?'select-active':''">
                高新技术企业{{isHighTechtext?' 1项':''}}
                <i class="el-icon-caret-bottom"></i>
              </div>
              <el-dropdown-menu slot="dropdown" class="select-list select-radio">
                <el-dropdown-item v-for="(itme,i)  in isHighTechList" :key="i">
                  <el-radio :label="itme.value" v-model="isHighTechtext" @input="isHighTechBtn()">
                    {{itme.label}}
                  </el-radio>
                </el-dropdown-item>
              </el-dropdown-menu>
            </el-dropdown>
          </div>
          <div class="select-popper">
            <div class=" " :class="(aTaxYeartext.length>0&&aTaxYeartext[0]!='不限')?'select-active':''">
              纳税信用等级{{(aTaxYeartext.length>0&&aTaxYeartext[0]!='不限')>0?(aTaxYeartext.length+'项'):''}}
              <i class="el-icon-caret-bottom"></i>
            </div>

            <el-select v-model="aTaxYeartext" popper-class='select-multiple-pop' class="select-multiple" @change="aTaxYearBtn" multiple
              placeholder="请选择">
              <el-option v-for=" (itme,i)  in aTaxYearList" :key="i" :label="itme.label" :value="itme.value">
              </el-option>
            </el-select>
          </div>
          <div class="select-popper">
            <div class=" " :class="(companyTypeText.length>0&&companyTypeText[0]!='不限')?'select-active':''">
              企业类型{{(companyTypeText.length>0&&companyTypeText[0]!='不限')>0?(companyTypeText.length+'项'):''}}
              <i class="el-icon-caret-bottom"></i>
            </div>
            <el-select v-model="companyTypeText" popper-class='select-multiple-pop' class="select-multiple" @change="companyTypebtn" multiple
              placeholder="请选择">
              <el-option v-for=" (itme,i)  in companyTypeList" :key="i" :label="itme.value" :value="itme.label">
              </el-option>
            </el-select>
          </div>
          <div class="select-popper">
            <div class=" " :class="(businessStatusText.length>0&&businessStatusText[0]!='不限')?'select-active':''">
              登记状态{{(businessStatusText.length>0&&businessStatusText[0]!='不限')>0?(businessStatusText.length+'项'):''}}
              <i class="el-icon-caret-bottom"></i>
            </div>

            <el-select v-model="businessStatusText" popper-class='select-multiple-pop' class="select-multiple" @change="businessStatusTextbtn"
              multiple placeholder="请选择">
              <el-option v-for=" (itme,i)  in businessStatusList" :key="i" :label="itme.label" :value="itme.value">
              </el-option>
            </el-select>
          </div>
          <div class="select-popper">

            <el-dropdown trigger="click" ref="establishPopper" placement='bottom-start'>
              <div class="el-dropdown-link"
                :class="(establishText!='不限'&&establishText!='自定义')||(establishText=='自定义'&&startTimetext.length>0)?'select-active':''">
                成立年限{{(establishText!='不限'&&establishText!='自定义')||(establishText=='自定义'&&startTimetext.length>0)?('1项'):''}}
                <i class="el-icon-caret-bottom"></i>
              </div>
              <el-dropdown-menu slot="dropdown" class="select-list select-radio">
                <div class="select-radio-list " :class="itme.value==establishText?'active':''" :command='i' v-for="(itme,i)  in establishList"
                  :key="i+'oo'">
                  <template v-if="itme.value=='自定义'">
                    <span @mouseenter='getinputDate()'>
                      <el-radio :label="itme.value" v-model="establishText">
                        {{itme.value}}
                      </el-radio>
                      <i class="el-icon-arrow-right select-radio-icon"></i>
                    </span>
                  </template>
                  <el-radio v-else :label="itme.value" @change="establishListbtn" v-model="establishText">
                    {{itme.value}}
                  </el-radio>
                  <el-date-picker class="select-radio-picker" v-if="itme.value=='自定义'" v-model='startTimetext' @change="timeInput"
                    placement='right-end' value-format="yyyy-MM-dd" ref="saveDateInput" type="daterange">
                  </el-date-picker>
                </div>
              </el-dropdown-menu>
            </el-dropdown>

          </div>
          <div class="select-popper">
            <el-dropdown @command="handleNumber" trigger="click" ref="popperMoney" placement="bottom-start" :hide-on-click="false">
              <div class="el-dropdown-link" :class="(registeredAssetsText!=='不限')?'select-popper-active':''">
                注册资本{{(registeredAssetsText!=='不限')?'1项':''}}<i class="el-icon-caret-bottom"></i>
              </div>
              <el-dropdown-menu slot="dropdown" class="dropdown-list-radio">
                <template v-for=" (item,i)  in registeredAssets">
                  <el-dropdown-item v-if='item.value!="自定义"' :class="item.value==registeredAssetsText?'color_text ':''"
                    :command="{'value':item.value,'key':'注册资本','label':item.label}">
                    <p @click="registeredAssetsText=item.value">
                      {{item.value}}
                    </p>
                  </el-dropdown-item>
                  <el-dropdown-item v-else command="自定义" style="padding: 0px;">
                    <div @mouseenter="showHandleNumber = true" :class="registeredAssetsText=='自定义'?'color_text':''" style="padding: 0px  20px;"
                      @mouseleave="showHandleNumber = false">
                      <span :class="registeredAssetsText=='自定义'?'color_text':''">
                        自定义<i class="el-icon-arrow-right" style="padding-left: 24px;"></i>
                      </span>
                      <div class="jabph_popper_box" style="position:absolute;left: 124px;" v-if="showHandleNumber">
                        <div class="jabph_popper_wrap">
                          从 <el-input class="jabph_popper_input" v-model="startNumMoney">
                          </el-input> 万
                        </div>
                        <div class="jabph_popper_wrap">
                          到 <el-input class="jabph_popper_input" v-model="endNumMoney"></el-input>
                          万
                        </div>
                        <div>
                          <el-button size="mini" @click="handleCancel('注册资本')">取消</el-button>
                          <el-button type="primary" size="mini" @click="popperConfirm('注册资本')">确定
                          </el-button>
                        </div>
                      </div>
                    </div>
                  </el-dropdown-item>
                </template>
              </el-dropdown-menu>
            </el-dropdown>
          </div>
          <div class="select-popper">
            <el-dropdown @command="handleNumber" trigger="click" ref="popperActualCapi" placement="bottom-start" :hide-on-click="false">
              <div class="el-dropdown-link" :class="(actualCapi!=='不限')?'select-popper-active':''">
                实缴资本{{(actualCapi!=='不限')?'1项':''}}<i class="el-icon-caret-bottom"></i>
              </div>
              <el-dropdown-menu slot="dropdown" class="dropdown-list-radio">
                <template v-for=" (item,i)  in registeredAssets">
                  <el-dropdown-item v-if='item.value!="自定义"' :class="item.value==actualCapi?'color_text ':''"
                    :command="{'value':item.value,'key':'实缴资本','label':item.label}">
                    <p @click="actualCapi=item.value">
                      {{item.value}}
                    </p>
                  </el-dropdown-item>
                  <el-dropdown-item v-else command="自定义" style="padding: 0px;">
                    <div @mouseenter="showHandleNumber = true" :class="actualCapi=='自定义'?'color_text':''" style="padding: 0px  20px;"
                      @mouseleave="showHandleNumber = false">
                      <span :class="actualCapi=='自定义'?'color_text':''">
                        自定义<i class="el-icon-arrow-right" style="padding-left: 24px;"></i>
                      </span>
                      <div class="jabph_popper_box" style="position:absolute;left: 124px;" v-if="showHandleNumber">
                        <div class="jabph_popper_wrap">
                          从 <el-input class="jabph_popper_input" v-limit-num v-model="leftActualCapi">
                          </el-input> 万
                        </div>
                        <div class="jabph_popper_wrap">
                          到 <el-input class="jabph_popper_input" v-limit-num v-model="rightActualCapi">
                          </el-input> 万
                        </div>
                        <div>
                          <el-button size="mini" @click="handleCancel('实缴资本')">取消</el-button>
                          <el-button type="primary" size="mini" @click="popperConfirm('实缴资本')">确定
                          </el-button>
                        </div>
                      </div>
                    </div>
                  </el-dropdown-item>
                </template>
              </el-dropdown-menu>

            </el-dropdown>
          </div>
          <div class="select-popper">
            <el-dropdown @command="handleNumber" trigger="click" ref="popperInsuredNum" placement="bottom-start" :hide-on-click="false">

              <div class="el-dropdown-link" :class="InsuredNumText?'select-popper-active':''">
                社保人数{{InsuredNumText?'1项':''}}<i class="el-icon-caret-bottom"></i>
              </div>
              <el-dropdown-menu slot="dropdown" class="dropdown-list-radio">
                <template v-for=" (item,i)  in InsuredNumList">
                  <el-dropdown-item v-if='item.value!="自定义"' :class="item.value==InsuredNumText?'color_text ':''"
                    :command="{'value':item.value,'key':'社保人数','label':item.label}">
                    <p @click="InsuredNumText=item.value">
                      {{item.value}}
                    </p>
                  </el-dropdown-item>
                  <el-dropdown-item v-else command="自定义" style="padding: 0px;">
                    <div @mouseenter="showHandleNumber = true" :class="InsuredNumText=='自定义'?'color_text':''" style="padding: 0px  20px;">
                      <!-- @mouseleave="showHandleNumber = false" -->
                      <span :class="InsuredNumText=='自定义'?'color_text':''">
                        自定义<i class="el-icon-arrow-right" style="padding-left: 24px;"></i>
                      </span>
                      <div class="jabph_popper_box" style="position:absolute;left: 124px;" v-if="showHandleNumber">
                        <div class="jabph_popper_wrap">
                          从 <el-input class="jabph_popper_input" v-model="startInsuredNum">
                          </el-input> 人
                        </div>
                        <div class="jabph_popper_wrap">
                          到 <el-input class="jabph_popper_input" v-model="endInsuredNum">
                          </el-input> 人
                        </div>
                        <div style="">
                          <el-button size="mini" @click="handleCancel('社保人数')">取消</el-button>
                          <el-button type="primary" size="mini" @click="popperConfirm('社保人数')">确定
                          </el-button>
                        </div>
                      </div>
                    </div>
                  </el-dropdown-item>
                </template>
              </el-dropdown-menu>

            </el-dropdown>
          </div>

        </div>
      </div>

      <div class="content_item  content_item_padding0">
        <div class="search-new">
          <span @click="search()">查询</span>
          <span @click="reset()">重置</span>
        </div>

      </div>
    </div>
    <div class="bottomlist">
      <div class="bottomlist-title">
        <div class="bottomlist-title-left">
          <p class="title-left">
            <span style="margin-right:4;color:rgba(35, 35, 35, 0.40);font-size: 18px;position: relative;top:2px;">·</span>共有{{total}}条
          </p>
          <el-popover v-model="fieldshow" placement="bottom-start" trigger="click" popper-class="viewlist-el-popover">
            <ul class="pup_list">
              <li v-for="(itme,i) in fieldOptions" :class="itme.status?'activefield':''" @click="handsequencingList(i)" :key="i">
                {{itme.value}}
              </li>
            </ul>
            <span slot="reference" class="toolbar-right-download">
              {{fieldText}}<i class="el-icon-arrow-down" :style="{transform:fieldshow?'rotate(180deg)':''}"></i>
            </span>
          </el-popover>
          <div class="toolbar-right-search">
            <el-input placeholder="请输入企业名称关键词" class="toolbar-right_input" v-model="resultEname">
              <div slot="append" class="result-search" @click="search()">搜索</div>
            </el-input>
          </div>
        </div>
        <div class="title-right">
          <p class="p" @click="exportShow=true">
            <img src="@/assets/images/EXCEL.png" alt="">
            <span class="excel">导出EXCEL</span>
          </p>
          <div class="export" v-if="exportShow">
            <p style="margin-bottom: 6px;" @click="clickDialog(1)">企业资质导出</p>
            <p @click="clickDialog(2)">企业基本信息导出</p>
          </div>
        </div>

      </div>
      <div class="table-item-jf1" v-if="tableData.length==0&& !isSkeleton">
        <img class="item-jf-img" src="@/assets/images/kong.png" alt="">
        <div class="item-jf-titel">抱歉，没找到相关数据！</div>
        <div class="item-jf-text">建议调整关键词或筛选条件，重新搜索！</div>
      </div>
      <skeleton style="margin-left:16px;" v-if="isSkeleton"></skeleton>
      <ul class="bottomlist-content" v-if="!isSkeleton&&tableData.length>0">
        <li class="info-list" v-for="(item,index) in tableData" :key="index">
          <div class="info-list-left">
            <img v-if="item.logoUrl" :src="item.logoUrl" :alt="item.name.replace(/<font color='#FF204E'>/g,'').replace(/<\/font>/g,'')" />
            <img v-else src="@/assets/images/enterprise.png" :alt="item.name.replace(/<font color='#FF204E'>/g,'').replace(/<\/font>/g,'')" />
          </div>
          <div class="info-list-right">
            <p class="card-right-title">
              <span @click="toEnterpriseDetail(item.jskEid,item.name)">
                <span class="title" v-html="item.name"> </span>
              </span>
              <!-- <router-link :to="toEnterpriseDetail(item.jskEid,item.name)">
                <span class="title" v-html="item.name"> </span>
              </router-link> -->

            </p>
            <p class="card-right-title card-right-title1" :ref="'labels'+item.id" :style="{padding: '16px 0px 12px 0px'}">
              <span :ref="'cardRightTitle1span'+item.id">
                <span class="positive positive1" v-if="item.businessStatus">{{item.businessStatus}}</span>
                <template v-for="(itemLabels,indexLabels) in item.labels">
                  <span class="positive positive1" :style="{'background':itemLabels.bgColor,'color':itemLabels.fontColor}">{{ itemLabels.labelName }}
                    <template v-if="itemLabels.num>1">{{itemLabels.num}}</template></span>
                </template>
              </span>
              <!-- <span class="positive-gdbq" :ref="'positivegdbq'+item.id" v-if="labelsWidth('labels'+item.id,1)" @click="labelsClick('labels'+item.id,'positivegdbq'+item.id,'cardRightTitle1span'+item.id)">更多标签 <i class="el-icon-caret-bottom"></i></span> -->
            </p>
            <p class="card-right-title">
              <template v-if="item.legalPerson!=null">
                <span class="right-title-grey">法定代表人：</span>
                <span class="right-title-black">{{item.legalPerson}}</span>
              </template>

              <template v-if="item.registeredCapitalStr!=null&&item.registeredCapitalStr!==0">
                <span class="right-title-grey">注册资本：</span>
                <span class="right-title-black">{{item.registeredCapitalStr}}万元</span>
              </template>

              <template v-if="item.registeredDate!=null">
                <span class="right-title-grey">成立日期：</span>
                <span class="right-title-black">{{item.registeredDate}}</span>
              </template>
              <template v-if="item.registeredDate!=null">
                <span class="right-title-grey"> 统一社会信用代码：</span>
                <span class="right-title-black">{{item.creditCode}}</span>
              </template>

            </p>
            <p class="card-right-title" style="padding-top: 8px ;">
              <template v-if="item.aptitudeCountNew!=null">
                <span class="right-title-grey">资质资格：</span>
                <span @click="toEnterprise(item.jskEid,'','',item.name)">
                  <span class="right-title-blue" v-html="item.aptitudeCountNew"> </span>
                </span>
                <!-- <router-link :to="toEnterprise(item.jskEid,'','',item.name)" >
                  <span class="right-title-blue" v-html="item.aptitudeCountNew"> </span>
                </router-link> -->
              </template>
              <template v-if="item.recentlyCount!=null">
                <span class="right-title-grey">中标业绩：</span>
                <span @click="toEnterprise(item.jskEid,'performance','',item.name)">
                  <span class="right-title-blue" v-html="item.recentlyCount"> </span>
                </span>
                <!-- <router-link :to="toEnterprise(item.jskEid,'performance')" >
                  <span class="right-title-blue" v-html="item.recentlyCount"> </span>
                </router-link> -->
              </template>
              <template v-if="item.skyCount!=null">
                <span class="right-title-grey">四库业绩：</span>
                <span @click="toEnterprise(item.jskEid,'performance',2,item.name)">
                  <span class="right-title-blue" v-html="item.skyCount"> </span>
                </span>
                <!-- <router-link :to="toEnterprise(item.jskEid,'performance',2)" >
                  <span class="right-title-blue" v-html="item.skyCount"> </span>
                </router-link> -->
              </template>
              <template v-if="item.registeredPersonnelCount!=null">
                <span class="right-title-grey">注册人员：</span>
                <span @click="toEnterprise(item.jskEid,'personnel',2,item.name)">
                  <span class="right-title-blue" v-html="item.registeredPersonnelCount"> </span>
                </span>
                <!-- <router-link :to="toEnterprise(item.jskEid,'personnel',2)" >
                  <span class="right-title-blue" v-html="item.registeredPersonnelCount"> </span>
                </router-link> -->
              </template>
              <template v-if="item.threePersonnelCount!=null">
                <span class="right-title-grey">三类人员：</span>
                <span @click="toEnterprise(item.jskEid,'personnel',5,item.name)">
                  <span class="right-title-blue" v-html="item.threePersonnelCount"> </span>
                </span>
                <!-- <router-link :to="toEnterprise(item.jskEid,'personnel',5)" >
                  <span class="right-title-blue" v-html="item.threePersonnelCount"> </span>
                </router-link> -->
              </template>
              <template v-if="item.jskBidCount>0">
                <span class="right-title-grey">招标公告：</span>
                <span @click="toEnterprise(item.jskEid,'business',5,item.name)">
                  <span class="right-title-blue" v-html="item.jskBidCount"> </span>
                </span>
                <!-- <router-link :to="toEnterprise(item.jskEid,'business',5)" >
                  <span class="right-title-blue" v-html="item.jskBidCount"> </span>
                </router-link> -->
              </template>
              <template v-if="item.customerCount>0">
                <span class="right-title-grey">客户：</span>
                <span @click="toEnterprise(item.jskEid,'business',1,item.name)">
                  <span class="right-title-blue" v-html="item.customerCount"> </span>
                </span>
                <!-- <router-link :to="toEnterprise(item.jskEid,'business',1)" >
                  <span class="right-title-blue" v-html="item.customerCount"> </span>
                </router-link> -->
              </template>
              <template v-if="item.supplierCount>0">
                <span class="right-title-grey">供应商：</span>
                <span @click="toEnterprise(item.jskEid,'business',2,item.name)">
                  <span class="right-title-blue" v-html="item.supplierCount"> </span>
                </span>
                <!-- <router-link :to="toEnterprise(item.jskEid,'business',2)" >
                  <span class="right-title-blue" v-html="item.supplierCount"> </span>
                </router-link> -->
              </template>
            </p>
            <p class="card-right-title" v-if="item.formerName!=null&&(item.formerName.indexOf('color')!=-1||item.name.indexOf('color')!=-1)"
              style="padding: 10px 0px 0px 0px;">
              <span class="right-title-grey">曾用名：</span>
              <span class="right-title-grey" style="width: 984px;" v-html="item.formerName"></span>
            </p>
          </div>
          <div class="solid">
            <p></p>
          </div>
        </li>
      </ul>
      <div class="pagination clearfix" v-show="total>0">
        <el-pagination background :page-size="limit" :current-page="page" @current-change="handleCurrentChange" layout="prev, pager, next"
          :total="total">
        </el-pagination>
      </div>

    </div>
    <ExportDialog :data="exportData" v-if="exportData.dialogExportVisible" @clickEXCEL="clickEXCEL"></ExportDialog>
  </div>
</template>
<script>
import jsk_data from '@/assets/json/jsk.json';
import aptitudeCode from '@/assets/json/aptitudeCode.json';
import jabph from '@/assets/json/jabph.json';
import options from '@/assets/json/options.json';
import api from '@/api/enterpriseData/enterpriseData.js';
import { encodeStr } from "@/assets/js/common.js";
import skeleton from '@/views/project/projectList/component/skeleton';
import "@/assets/styles/public.scss";
import ExportDialog from "../../../component/export-dialog"
export default {
  name: 'EnterpriseQuery',
  components: { skeleton,ExportDialog },
  directives: {
    numberOnly: {
      bind: function (el) {
        el.handler = function () {
          if (el.children[1].value) {
            el.children[1].value = el.children[1].value.replace(/\D+/g, '');
          }
        };
        el.addEventListener('input', el.handler);
      },
      unbind: function (el) {
        el.removeEventListener('input', el.handler);
      }
    }
  },
  data() {
    return {
      encodeStr,
      ename: '',
      isSkeleton: true,
      enameQueryTypeList: [
        {
        key: 'and',
        status: false,
        value: '模糊搜索',
        keyid: 'businessScope'
      },
      {
        key: 'or',
        status: true,
        value: '精准匹配',
        keyid: 'businessScope'
      },
      ],
      enameQueryType: 'or',
      optionss: [],
      aptitudeDtoList: [
        {
        nameStr: '',
        codeStr: [],
        queryTypelist: [{
          key: 'and',
          status: true,
          value: '同时具备'
        },
        {
          key: 'or',
          status: false,
          value: '任意均可'
        },
        {
          key: 'only',
          status: false,
          value: '有且只有'
        }
        ],
        queryType: 'and'
      }],
      aptitudeDtoListOut: [
        {
        nameStr: '',
        codeStr: [],
        queryTypelist: [{
          key: 'and',
          status: true,
          value: '同时具备'
        },
        {
          key: 'or',
          status: false,
          value: '任意均可'
        },
        ],
        queryType: 'and'
      }],
      filePlaceCode: '',
      props: {
        multiple: true,
        expandTrigger: "hover",
        value: 'id'
      },
      filePlaceCodeList: [],
      province_city: [],
      province_citylist: [],
      filePlaceTypeList: [
        {
        text: '本省与进省企业',
        value: '1'
      },
      {
        text: '进省企业',
        value: '2'
      },
      {
        text: '省内企业',
        value: '3'
      }
      ],
      filePlaceType: '1',
      addressList: [],
      addressType: [],
      addresslength: 0,
      qualifiedType: [
        {
        key: '',
        status: true,
        value: '不限'
      },
      {
        key: '1',
        status: false,
        value: '有资质'
      },
      {
        key: '2',
        status: false,
        value: '无资质'
      }
      ],
      radioQuali: '',
      hasPhoneType: [
        {
        key: '',
        status: true,
        value: '不限'
      },
      {
        key: '1',
        status: false,
        value: '有联系电话'
      },
      {
        key: '2',
        status: false,
        value: '有手机号码'
      },
      {
        key: '3',
        status: false,
        value: '有固定电话'
      },
      {
        key: '0',
        status: false,
        value: '无联系电话'
      }
      ],
      hasPhone: '',
      hasLiceCertList: [
        {
        key: '',
        status: true,
        value: '不限'
      },
      {
        key: '1',
        status: false,
        value: '有安许证'
      },
      {
        key: '2',
        status: false,
        value: '无安许证'
      }
      ],
      hasLiceCert: '',
      systemCertishow: false,
      systemCertification: [
        {
        value: '质量管理体系认证（ISO9000）',
        key: '1',
        status: false,
        keyid: 'systemType',
      },
      {
        value: '环境管理体系认证',
        key: '2',
        status: false,
        keyid: 'systemType',
      },
      {
        value: '中国职业健康安全管理体系认证',
        key: '3',
        status: false,
        keyid: 'systemType',
      },
      {
        value: '建设施工行业质量管理体系认证',
        key: '4',
        status: false,
        keyid: 'systemType',
      },
      ],
      systemValue: [],
      systemType: "",
      isHighTechList: [
        {
        value: '',
        label: '不限'
      },
      {
        value: '1',
        label: '是高新企业'
      },
      {
        value: '0',
        label: '不是高新企业'
      }

      ],
      isHighTechtext: '',
      aTaxYearList: [
        {
        value: '不限',
        label: '不限'
      },

      {
        value: '2022',
        label: '2022A级纳税人'
      },
      {
        value: '2021',
        label: '2021A级纳税人'
      },
      {
        value: '2020',
        label: '2020A级纳税人'
      },
      {
        value: '2019',
        label: '2019A级纳税人'
      },
      {
        value: '2018',
        label: '2018A级纳税人'
      },
      {
        value: '2017',
        label: '2017A级纳税人'
      },
      {
        value: '2016',
        label: '2016A级纳税人'
      },
      {
        value: '2015',
        label: '2015A级纳税人'
      },
      {
        value: '2014',
        label: '2014A级纳税人'
      },
      ],
      aTaxYeartext: ['不限'],
      companyTypeList: [
        {
        label: '不限',
        value: '不限'
      },
      {
        label: '1',
        value: '国有企业'
      },
      {
        label: '2',
        value: '集体企业'
      },
      {
        label: '3',
        value: '股份合作公司'
      },
      {
        label: '4',
        value: '有限责任公司'
      },
      {
        label: '5',
        value: '联营企业'
      },
      {
        label: '6',
        value: '港、澳、台商投资企业'
      },
      {
        label: '7',
        value: '私营企业'
      },
      {
        label: '8',
        value: '外商投资企业'
      },
      {
        label: '9',
        value: '个体工商户'
      },
      {
        label: '10',
        value: '股份制企业',
      },
      {
        label: '11',
        value: '事业单位'
      },
      {
        label: '12',
        value: '其他'
      },

      ],
      companyTypeText: ['不限'],
      businessStatusList: [
        {
        label: '不限',
        value: '不限'
      },
      {
        label: '在业',
        value: '在业'
      },
      {
        label: '迁入',
        value: '迁入'
      },
      {
        label: '迁出',
        value: '迁出'
      },
      {
        label: '停业',
        value: '停业'
      },
      {
        label: '撤销',
        value: '撤销'
      },
      {
        label: '吊销',
        value: '吊销'
      },
      {
        label: '注销',
        value: '注销'
      },
      {
        label: '不详',
        value: '不详'
      },

      ],
      businessStatusText: ['不限'],
      establishList: [
        {
        value: '不限',
        key: '不限',
        status: true,
      },
      {
        value: '3月内',
        key: '3月内',
        status: false,
      },
      {
        value: '半年内',
        key: '半年内',
        status: false,
      },
      {
        value: '1年内',
        key: '1年内',
        status: false,
      },
      {
        value: '1～3年',
        key: '1～3年',
        status: false,
      },
      {
        value: '3～5年',
        key: '3～5年',
        status: false,
      },
      {
        value: '5～10年',
        key: '5～10年',
        status: false,
      },
      {
        value: '10年以上',
        key: '10年以上',
        status: false,
      },
      {
        value: '自定义',
        key: '自定义',
        status: false,
      },
      ],
      establishText: '不限',
      startTime: '',
      endTime: '',
      registeredAssets: [
        {
        label: '不限',
        value: '不限',
        status: false,
      },
      {
        label: [0, 100],
        value: '100万以内',
        status: false,
      },
      {
        label: [100, 200],
        value: '100-200万',
        status: false,
      },
      {
        label: [200, 500],
        value: '200-500万',
        status: false,
      },
      {
        label: [500, 1000],
        value: '500-1000万',
        status: false,
      },
      {
        label: [1000, 5000],
        value: '1000-5000万',
        status: false,
      },
      {
        label: [5000],
        value: '5000万以上',
        status: false,
      },
      {
        label: '自定义',
        value: '自定义',
        status: false,
      },

      ],
      registeredAssetsText: '不限',
      startNumMoney: '',
      endNumMoney: '',
      showHandleNumber: false,
      actualCapi: '不限',
      leftActualCapi: '',
      rightActualCapi: '',
      InsuredNumList: [
        {
        label: '0-0',
        value: '0人'
      },

      {
        label: '10-19',
        value: '10-19人'
      },
      {
        label: '20-99',
        value: '20-99人'
      },
      {
        label: '100-499',
        value: '100-499人'
      },
      {
        label: '500-999',
        value: '500-999人'
      },
      {
        label: '1000-4999',
        value: '1000-4999人'
      },
      {
        label: '5000-9999',
        value: '5000-9999人'
      },

      {
        label: '10000',
        value: '10000人以上'
      },
      {
        label: '自定义',
        value: '自定义'
      },

      ],
      InsuredNumText: '',
      startInsuredNum: '',
      endInsuredNum: '',
      registeredCapital: '',
      registerProvince: [],
      registerCityList: [],
      registerCity: [],
      registerProvinceList: [
        {
        key: '重庆',
        status: false,
        value: '重庆',
        short: '渝',
        shortkey: '500000',
      },
      {
        status: false,
        value: '河南',
        key: '河南',
        short: '豫',
        shortkey: '410000',
      },
      {
        status: false,
        value: '广东',
        key: '广东',
        short: '粤',
        shortkey: '440000',
      },
      {
        status: false,
        value: '福建',
        key: '福建',
        short: '闽',
        shortkey: '350000',
      },

      {
        status: false,
        value: '浙江',
        key: '浙江',
        short: '浙',
        shortkey: '330000',
      },
      {
        status: false,
        value: '辽宁',
        key: '辽宁',
        short: '辽',
        shortkey: '210000',
      },
      {
        status: false,
        value: '内蒙古',
        key: '内蒙古',
        short: '内蒙古',
        shortkey: '150000',
      },
      {
        status: false,
        value: '江苏',
        key: '江苏',
        short: '苏',
        shortkey: '320000',
      },
      {
        status: false,
        value: '山西',
        key: '山西',
        short: '晋',
        shortkey: '140000',
      },
      {
        status: false,
        value: '上海',
        key: '上海',
        short: '沪',
        shortkey: '310000',
      },
      {
        status: false,
        value: '新疆',
        key: '新疆',
        short: '新',
        shortkey: '650000',
      },
      {
        status: false,
        value: '河北',
        key: '河北',
        short: '冀',
        shortkey: '130000',
      },
      {
        status: false,
        value: '宁夏',
        key: '宁夏',
        short: '宁',
        shortkey: '640000',
      },
      {
        status: false,
        value: '天津',
        key: '天津',
        short: '津',
        shortkey: '120000',
      },
      {
        status: false,
        value: '青海',
        key: '青海',
        short: '青',
        shortkey: '630000',
      },
      {
        status: false,
        value: '北京',
        key: '北京',
        short: '京',
        shortkey: '110000',
      },
      {
        status: false,
        value: '广西',
        key: '广西',
        short: '桂',
        shortkey: '450000',
      },
      {
        status: false,
        value: '甘肃',
        key: '甘肃',
        short: '甘',
        shortkey: '620000',
      },
      {
        status: false,
        value: '陕西',
        key: '陕西',
        short: '陕',
        shortkey: '610000',
      },
      {
        status: false,
        value: '湖南',
        key: '湖南',
        short: '湘',
        shortkey: '430000',
      },
      {
        status: false,
        value: '湖北',
        key: '湖北',
        short: '鄂',
        shortkey: '420000',
      },
      {
        status: false,
        value: '贵州',
        key: '贵州',
        short: '贵',
        shortkey: '520000',
      },
      {
        status: false,
        value: '四川',
        key: '四川',
        short: '川',
        shortkey: '510000',
      },


      {
        status: false,
        value: '山东',
        key: '山东',
        short: '鲁',
        shortkey: '370000',
      },
      {
        status: false,
        value: '江西',
        key: '江西',
        short: '赣',
        shortkey: '360000',
      },

      {
        status: false,
        value: '云南',
        key: '云南',
        short: '云',
        shortkey: '530000',
      },

      {
        status: false,
        value: '吉林',
        key: '吉林',
        short: '吉',
        shortkey: '220000',
      },
      {
        status: false,
        value: '西藏',
        key: '西藏',
        short: '藏',
        shortkey: '540000',
      },
      {
        status: false,
        value: '黑龙江',
        key: '黑龙江',
        short: '黑',
        shortkey: '230000',

      },
      {
        status: false,
        value: '安徽',
        key: '安徽',
        short: '皖',
        shortkey: '340000',
      },
      {
        status: false,
        value: '海南',
        key: '海南',
        short: '琼',
        shortkey: '460000',
      }
      ],
      aptitudeQueryType: 'and',
      btnaptitude: [
        {
        key: 'and',
        status: true,
        value: '同时具备'
      },
      {
        key: 'or',
        status: false,
        value: '任意均可'
      }
      ],
      aptitudelist: [],
      regionWeb: [],
      regionWebList: [],
      hasPhoneList: [
        {
        value: '1',
        label: '有联系电话'
      },
      {
        value: '0',
        label: '无联系电话'
      }
      ],
      hasPhonetext: '',
      systemWay: [
        {
        key: 'and',
        status: true,
        value: '同时具备',
        keyid: 'systemway'
      },
      {
        key: 'or',
        status: false,
        value: '任意均可',
        keyid: 'systemway'
      },
      ],
      systemQueryType: 'and',
      visible: false,
      pickerOptions: {
        disabledDate(time) {
          try {
            return time.getTime() > Date.now();
          } catch {
            return new Date(time).getTime() > Date.now();
          }
        },

      },
      startTimetext: '',
      openDatePicker: false,
      fieldshow: false,
      fieldText: '默认排序',
      field: '', //查询结果排序方式
      orderText: '',  //查询结果新排序字段
      fieldOptions: [
        {
          value: '默认排序',
          status: true,
          order: '',
          key: ''
        },
        {
          value: '注册人员从少到多',
          status: false,
          order: 'asc',
          key: 'registeredPersonnelCount'
        },
        {
          value: '注册人员从多到少',
          status: false,
          order: 'desc',
          key: 'registeredPersonnelCount'
        },
        {
          value: '企业业绩从多到少',
          status: false,
          order: 'desc',
          key: 'projectCount'
        },
        {
          value: '资质资格从多到少',
          status: false,
          order: 'desc',
          key: 'aptitudeCountNew'
        },
        {
          value: '成立日期从晚到早',
          status: false,
          order: 'desc',
          key: 'registeredDate'
        },
        {
          value: '注册资本从高到低',
          status: false,
          order: 'desc',
          key: 'registeredCapital'
        }
      ],
      resultEname: '',
      tableData: [],
      total: 0,
      page: 1,
      limit: 20,
      exportShow:false,
      dataEXCEL:{},
      exportData:{
        title:'企业基本信息',
        type:2,
        dialogExportVisible:false,
        forData: [
          {label: '企业名称', prop: 'text1',slot: true,minWidth: '120'},
          {label: '企业性质', prop: 'text2', slot: true,minWidth: '120'},
          {label: '资质情况', prop: 'text3',slot: true,minWidth: '160'},
          {label: '经营状态', prop: 'text4', slot: true,minWidth: '160'},
          {label: '经营范围', prop: 'text5',slot: true,minWidth: '250'},
          {label: '统一社会信用代码', prop: 'text6',minWidth: '160'},
          {label: '注册省/市/区', prop: 'text7',minWidth: '150'},
          {label: '经营地址', prop: 'text8',minWidth: '140'},
          {label: '法人代表', prop: 'text9', slot: true,minWidth: '100'},
          {label: '注册资本（万元）', prop: 'text10', slot: true,minWidth: '150'},
          {label: '成立时间', prop: 'text11', slot: true,minWidth: '130'},
          {label: '曾用名', prop: 'text12', slot: true,minWidth: '100'},
          {label: '企业类型', prop: 'text13', slot: true,minWidth: '140'},
          {label: '参保人数', prop: 'text14', slot: true,minWidth: '120'},
          {label: '税务评级', prop: 'text15', slot: true,minWidth: '120'},
          {label: '安许证到期时间', prop: 'text16', slot: true,minWidth: '120'},
          {label: '联系电话', prop: 'text17', slot: true,minWidth: '120'},
          {label: '企业详情页（平台）', prop: 'text18', slot: true,minWidth: '150'},
        ],
        exportTableData:[
          {
            text1:'xxx有限公司',
            text2:'央企子公司',
            text3:'地基基础工程专业承包一级',
            text4:'存续（在营、开业、在册）',
            text5:'承担国内外公用、民用房屋建筑工程的施工、安装、咨询...',
            text6:'911100xxxx9351850',
            text7:'北京-北京市-海淀区',
            text8:'北京市XXXXX',
            text9:'张XX',
            text10:'3000000万元',
            text11:'2007-12-10',
            text12:'-',
            text13:'有限责任公司',
            text14:'1401',
            text15:'A级',
            text16:'2026-11-23',
            text17:'6420xx11',
            text18:'XXXXX',
          },
          {
            text1:'xxx有限公司',
            text2:'省属国企',
            text3:'建筑装修装饰工程专业承包一级',
            text4:'存续（在营、开业、在册）',
            text5:'承担国内外公用、民用房屋建筑工程的施工、安装、咨询...',
            text6:'911100xxxx9351850',
            text7:'重庆-重庆市-渝北区',
            text8:'重庆市XXXXX',
            text9:'李XX',
            text10:'200000万元',
            text11:'2008-12-10',
            text12:'-',
            text13:'有限责任公司',
            text14:'1101',
            text15:'A级',
            text16:'2027-11-23',
            text17:'6430xx11',
            text18:'XXXXX',
          },
        ],
        exportEXCEL:{}
      },

    };
  },
  created() {
    if (this.$route.query.keyword) {
      this.ename = this.$route.query.keyword;
      this.projectNamebtn('ename', this.ename, '关键字:');
    }
    api.aptitudeCode().then(res => {
      if (res) {
        this.optionss = res;

      } else {
        this.optionss = aptitudeCode;

      }
    }).catch(error => {
      this.optionss = aptitudeCode;
    });
    this.getRegionWebList();
    this.getaddressList();
    this.search();

  },
  mounted() {
    if (this.$route.query.province_city) {
      var addressType = [];
      for (let i = 0; i < this.addressList.length; i++) {
        if (this.addressList[i].label.indexOf(this.$route.query.territory) != -1) {
          for (let j in this.addressList[i].children) {
            if (this.addressList[i].children[j].label == this.$route.query.province_city) {

              for (let k in this.addressList[i].children[j].children) {
                addressType.push([this.addressList[i].id, this.addressList[i].children[j].id, this
                  .addressList[i].children[j].children[k].id
                ]);
              }

            }

          }
        }
      }
      this.addressType = addressType;
      this.$nextTick(() => {
        this.addressListbtn();
      });
    }
  },

  methods: {
    // 关键字
    projectNamebtn(key, text, teiti) {
      var data = {
        key: text,
        value: text,
        keyid: key,
        title: teiti
      };
      if (text) {
        var n = -1;
        for (let x = 0; x < this.aptitudelist.length; x++) {
          if (this.aptitudelist[x].keyid == data.keyid) {
            n = x;
          }
        }
        if (n == -1) {
          this.aptitudelist.push(data);
        } else {
          this.aptitudelist[n] = data;
        }
      } else {
        for (let x = 0; x < this.aptitudelist.length; x++) {
          if (this.aptitudelist[x].keyid == data.keyid) {
            this.aptitudelist.splice(x, 1);
            x--;
          }
        }
      }
      this.aptitudelist = JSON.parse(JSON.stringify(this.aptitudelist));

    },
    // 资质级联
    optionsbtn(i) {
      if (this.aptitudeDtoList.length > 1 && this.aptitudeDtoList[i].codeStr.length < 1) {
        this.aptitudeDtoList.splice(i, 1);
        i--;
      }
      this.$refs[i] && this.$refs[i][0].toggleDropDownVisible(false);
      var _this = this;
      //延迟500毫秒执行
      if (this.$refs[i]) {
        setTimeout(function () {
          _this.aptitudeDtoList[i].nameStr = _this.$refs[i][0].$refs.input.$options.propsData.value;
        }, 100);
      }
    },
    // 排除资质级联
    optionsbtnOut(i) {
      if (this.aptitudeDtoListOut.length > 1 && this.aptitudeDtoListOut[i].codeStr.length < 1) {
        this.aptitudeDtoListOut.splice(i, 1);
        i--;
      }
      this.$refs[i + 'out'] && this.$refs[i + 'out'][0].toggleDropDownVisible(false);
      var _this = this;
      //延迟500毫秒执行
      if (this.$refs[i + 'out']) {
        setTimeout(function () {
          _this.aptitudeDtoListOut[i].nameStr = _this.$refs[i + 'out'][0].$refs.input.$options
            .propsData.value;
        }, 100);
      }

    },
    // 增加
    addAptitudeDtoList() {
      var n = 0;
      for (let i = 0; i < this.aptitudeDtoList.length; i++) {
        if (!this.aptitudeDtoList[i].nameStr) {
          n++;
        }
      }
      if (n > 0) {
        this.$message.warning("请选择资质条件后，增加资质！");
      } else {
        this.aptitudeDtoList.push({
          nameStr: '',
          codeStr: [],
          queryTypelist: this.aptitudeDtoList[this.aptitudeDtoList.length - 1].queryTypelist,
          queryType: this.aptitudeDtoList[this.aptitudeDtoList.length - 1].queryType,
        });
      }

    },
    // 增加排除项
    addAptitudeDtoListOut() {
      var n = 0;
      for (let i = 0; i < this.aptitudeDtoListOut.length; i++) {
        if (!this.aptitudeDtoListOut[i].nameStr) {
          n++;
        }
      }
      if (n > 0) {
        this.$message.warning("请选择资质条件后，增加资质！");
      } else {
        this.aptitudeDtoListOut.push({
          nameStr: '',
          codeStr: [],
          queryTypelist: this.aptitudeDtoListOut[this.aptitudeDtoListOut.length - 1].queryTypelist,
          queryType: this.aptitudeDtoListOut[this.aptitudeDtoListOut.length - 1].queryType,
        });
      }

    },
    // 是否同时具备
    activebtnqueryType(kindex, index) {
      for (let i = 0; i < this.aptitudeDtoList.length; i++) {
        for (let j = 0; j < this.aptitudeDtoList[i].queryTypelist.length; j++) {
          this.aptitudeDtoList[i].queryTypelist[j].status = false;
        }
        this.aptitudeDtoList[i].queryType = this.aptitudeDtoList[i].queryTypelist[kindex].key;
        this.aptitudeDtoList[i].queryTypelist[kindex].status = true;
      }
    },
    // 排除项是否同时具备
    activebtnqueryTypeOut(kindex, index) {
      for (let i = 0; i < this.aptitudeDtoListOut.length; i++) {
        for (let j = 0; j < this.aptitudeDtoListOut[i].queryTypelist.length; j++) {
          this.aptitudeDtoListOut[i].queryTypelist[j].status = false;
        }
        this.aptitudeDtoListOut[i].queryType = this.aptitudeDtoListOut[i].queryTypelist[kindex].key;
        this.aptitudeDtoListOut[i].queryTypelist[kindex].status = true;
      }

    },
    // 组合查询
    openurl() {
      window.open(window.location.origin + '/search/combined/');

    },
    // 进省备案
    activebtnaddress() {
      for (let i = 0; i < this.aptitudelist.length; i++) {
        if (this.aptitudelist[i].keyid == 'filePlaceCode') {
          this.aptitudelist.splice(i, 1);
          i--;
        }
      }

      if (this.filePlaceCode) {
        var data = {
          value: '',
          keyid: '',
          key: '',
          title: '进省备案:'
        };
        // console.log(this.filePlaceCodeList);
        for (let i = 0; i < this.filePlaceCodeList.length; i++) {
          if (this.filePlaceCodeList[i].id == this.filePlaceCode) {
            data = {
              value: this.filePlaceCodeList[i].label,
              keyid: 'filePlaceCode',
              key: this.filePlaceCode,
              title: '进省备案:'
            };
          }
        }
        this.aptitudelist.push(data);
      }

      // console.log(JSON.stringify(this.aptitudelist));
    },
    selectradio(str) {
      console.log(str);
    },
    // 本省与进省企业
    filePlaceTypeList_btn() {
      for (let i = 0; i < this.aptitudelist.length; i++) {
        if (this.aptitudelist[i].keyid == 'filePlaceType') {
          this.aptitudelist.splice(i, 1);
          i--;
        }
      }
      if (this.filePlaceType) {
        var data = {
          value: '',
          keyid: '',
          key: '',
          title: '本省与进省企业:'
        };
        for (let i = 0; i < this.filePlaceTypeList.length; i++) {
          if (this.filePlaceTypeList[i].value == this.filePlaceType) {
            data = {
              value: this.filePlaceTypeList[i].text,
              keyid: 'filePlaceType',
              key: this.filePlaceType,
              title: '本省与进省企业:'
            };
          }
        }
        this.aptitudelist.push(data);
      }
    },
    //备案网站
    getRegionWebList() {
      api.searchDic().then(res => {
        if (res) {
          this.regionWebList = res.regionWeb;
        }
      }).catch(error => {

      });

    },
    // 工商注册地
    getaddressList() {
      var str = [];
      for (let x = 0; x < 3; x++) {
        for (let i = 0; i < jsk_data.length; i++) {
          if (jsk_data[i].regionLevel == (x + 1) && (x + 1) == 1) {
            str.push({
              'id': jsk_data[i].id,
              "label": jsk_data[i].regionName,
              "short": jsk_data[i].short,
              "value": jsk_data[i].parentId,
              "children": jsk_data[i].id == 900000 ? undefined : []
            });
          } else if (jsk_data[i].regionLevel == (x + 1) && (x + 1) == 2 && str) {
            for (let j = 0; j < str.length; j++) {
              if (str[j].id == jsk_data[i].parentId) {
                str[j].children.push({
                  'id': jsk_data[i].id,
                  "label": jsk_data[i].regionName,
                  "short": jsk_data[i].short,
                  "value": jsk_data[i].parentId,
                  "children": []
                });
              }
            }
          } else if (jsk_data[i].regionLevel == (x + 1) && (x + 1) == 3) {
            for (let j = 0; j < str.length; j++) {
              if (str[j].children) {
                for (let k = 0; k < str[j].children.length; k++) {
                  if (str[j].children[k].id == jsk_data[i].parentId) {
                    // console.log(JSON.stringify(str));
                    str[j].children[k].children.push({
                      'id': jsk_data[i].id,
                      "label": jsk_data[i].regionName,
                      "short": jsk_data[i].short,
                      "value": jsk_data[i].parentId,
                      // "children":[]
                    });

                  }

                }
              }

            }
          }
        }
      }
      this.addressList = str;
      this.filePlaceCodeList = str;
      // console.log(JSON.stringify(str));
    },
    // 工商注册地取值
    addressListbtn() {
      for (let i = 0; i < this.aptitudelist.length; i++) {
        if (this.aptitudelist[i].keyid == 'address') {
          this.aptitudelist.splice(i, 1);
          i--;
        }
      }
      let arr = this.$refs.address.getCheckedNodes();

      let provinceCode = [],
        cityCode = [],
        countyCode = [];
      let province = [],
        city = [],
        county = [];

      for (var i in arr) {
        if (arr[i].parent) {
          if (!arr[i].parent.checked) {
            arr[i].hasChildren && cityCode.push(arr[i].value);
            !arr[i].hasChildren && countyCode.push(arr[i].value);
          }
        } else {
          provinceCode.push(arr[i].value);
        }
      }


      for (let j = 0; j < jsk_data.length; j++) {
        if (provinceCode.length > 0) {
          for (let i = 0; i < provinceCode.length; i++) {
            if (provinceCode[i] == jsk_data[j].id) {
              province.push(
                jsk_data[j].regionName
              );
            }

          }

        }
        if (cityCode.length > 0) {
          for (let i = 0; i < cityCode.length; i++) {
            if (cityCode[i] == jsk_data[j].id) {
              city.push(
                jsk_data[j].regionName
              );
            }

          }
        }
        if (countyCode.length > 0) {
          for (let i = 0; i < countyCode.length; i++) {
            if (countyCode[i] == jsk_data[j].id) {
              county.push(
                jsk_data[j].regionName

              );
            }

          }
        }

      }
      if (provinceCode.length > 0 || cityCode.length > 0 || countyCode.length > 0) {
        this.aptitudelist.push({
          value: '',
          keyid: 'address',
          province: province,
          city: city,
          county: county,
          provinceCode: provinceCode,
          cityCode: cityCode,
          countyCode: countyCode,
          key: '',
          title: '工商注册地:'
        });
        this.addresslength = provinceCode.length + cityCode.length + countyCode.length;
      } else {
        this.addresslength = 0;
      }
      // this.landMarketDto = obj
    },
    // 有无资质
    qualifiedTypebtn() {
      for (let i = 0; i < this.aptitudelist.length; i++) {
        if (this.aptitudelist[i].keyid == 'hasAptitude') {
          this.aptitudelist.splice(i, 1);
          i--;
        }
      }
      if (this.radioQuali) {
        var data = {
          value: '',
          keyid: '',
          key: '',
          title: '有无资质:'
        };
        for (let i = 0; i < this.qualifiedType.length; i++) {
          if (this.qualifiedType[i].key == this.radioQuali) {
            data = {
              value: this.qualifiedType[i].value,
              keyid: 'hasAptitude',
              key: this.radioQuali,
              title: '有无资质:'
            };
          }
        }
        this.aptitudelist.push(data);
      }


    },
    // 有无联系电话
    hasPhoneTypebtn() {
      for (let i = 0; i < this.aptitudelist.length; i++) {
        if (this.aptitudelist[i].keyid == 'hasPhone') {
          this.aptitudelist.splice(i, 1);
          i--;
        }
      }
      if (this.hasPhone) {
        var data = {
          value: '',
          keyid: '',
          key: '',
          title: '有无联系电话:'
        };
        for (let i = 0; i < this.hasPhoneType.length; i++) {
          if (this.hasPhoneType[i].key == this.hasPhone) {
            data = {
              value: this.hasPhoneType[i].value,
              keyid: 'hasPhone',
              key: this.hasPhone,
              title: '有无联系电话:'
            };
          }
        }
        this.aptitudelist.push(data);
      }


    },

    // 安许证
    hasLiceCertListbtn() {
      for (let i = 0; i < this.aptitudelist.length; i++) {
        if (this.aptitudelist[i].keyid == 'hasLiceCert') {
          this.aptitudelist.splice(i, 1);
          i--;
        }
      }
      if (this.hasLiceCert) {
        var data = {
          value: '',
          keyid: '',
          key: ''
        };
        for (let i = 0; i < this.hasLiceCertList.length; i++) {
          if (this.hasLiceCertList[i].key == this.hasLiceCert) {
            data = {
              value: this.hasLiceCertList[i].value,
              keyid: 'hasLiceCert',
              key: this.hasLiceCert,
              title: '有无安许证:'
            };
          }
        }
        this.aptitudelist.push(data);
      }
    },
    // 管理体系
    systemCertificationbtn() {
      for (let i = 0; i < this.aptitudelist.length; i++) {
        if (this.aptitudelist[i].keyid == 'systemType') {
          this.aptitudelist.splice(i, 1);
          i--;
        }
      }

      if (this.systemValue.length > 0) {
        var systemlabel = [];
        for (let i = 0; i < this.systemValue.length; i++) {
          for (let j = 0; j < this.systemCertification.length; j++) {

            if (this.systemValue[i] == this.systemCertification[j].key) {
              systemlabel.push(this.systemCertification[j].value);

            }
          }
        }
        var data = {
          value: '管理体系认证:',
          keyid: 'systemType',
          systemlabel: systemlabel,
          systemValue: this.systemValue,
          key: '',
          title: '管理体系认证:'

        };
        this.aptitudelist.push(data);
      }

      // console.log(JSON.stringify(this.aptitudelist));
    },
    // 备案网站
    regionWebbtn() {
      for (let i = 0; i < this.aptitudelist.length; i++) {
        if (this.aptitudelist[i].keyid == 'regionWeb') {
          this.aptitudelist.splice(i, 1);
          i--;
        }
      }

      if (this.regionWeb.length > 0) {
        var systemlabel = [];
        for (let i = 0; i < this.regionWeb.length; i++) {
          for (let j = 0; j < this.regionWebList.length; j++) {

            if (this.regionWeb[i] == this.regionWebList[j]) {
              systemlabel.push(this.regionWebList[j]);

            }
          }
        }
        var data = {
          value: this.regionWeb,
          keyid: 'regionWeb',
          systemlabel: systemlabel,
          regionWeb: this.regionWeb,
          key: '',
          title: '备案网站:'

        };
        this.aptitudelist.push(data);
      }

      // console.log(JSON.stringify(this.aptitudelist));
    },
    isHighTechBtn() {
      for (let i = 0; i < this.aptitudelist.length; i++) {
        if (this.aptitudelist[i].keyid == 'isHighTech') {
          this.aptitudelist.splice(i, 1);
          i--;
        }
      }
      if (this.isHighTechtext) {
        var data = {
          value: this.isHighTechtext == '1' ? '是高新企业' : '不是高新企业',
          keyid: 'isHighTech',
          key: this.isHighTechtext,
          title: '高新企业:'
        };

        this.aptitudelist.push(data);
      }

    },
    // 纳税信用等级
    aTaxYearBtn() {
      for (let i = 0; i < this.aptitudelist.length; i++) {
        if (this.aptitudelist[i].keyid == 'taxYear') {
          this.aptitudelist.splice(i, 1);
          i--;
        }
      }
      if (this.aTaxYeartext.length > 1 && this.aTaxYeartext[0] == '不限') {
        for (let i = 0; i < this.aTaxYeartext.length; i++) {
          if (this.aTaxYeartext[i] == '不限') {
            this.aTaxYeartext.splice(i, 1);
          }
        }
      } else if (this.aTaxYeartext.length == 0) {
        this.aTaxYeartext = ['不限'];
      }

      var n = -1;
      for (let i = 0; i < this.aTaxYeartext.length; i++) {
        if (this.aTaxYeartext[i] == '不限') {
          n = i;
        }
      }

      if (n != -1) {
        this.aTaxYeartext = ['不限'];
        return;
      }

      var arr = [];
      for (let i = 0; i < this.aTaxYeartext.length; i++) {
        arr.push(this.aTaxYeartext[i] + 'A级纳税人');
      }

      var data = {
        value: arr,
        keyid: 'taxYear',
        key: this.aTaxYeartext,
        title: '纳税信用等级:'

      };

      this.aptitudelist.push(data);


    },
    companyTypebtn() {
      for (let i = 0; i < this.aptitudelist.length; i++) {
        if (this.aptitudelist[i].keyid == 'companyType') {
          this.aptitudelist.splice(i, 1);
          i--;
        }
      }
      if (this.companyTypeText.length > 0 && this.companyTypeText[0] == '不限') {
        for (let i = 0; i < this.companyTypeText.length; i++) {
          if (this.companyTypeText[i] == '不限') {
            this.companyTypeText.splice(i, 1);
          }
        }
      } else if (this.companyTypeText.length == 0) {
        this.companyTypeText = ['不限'];
      }

      var n = -1;
      for (let i = 0; i < this.companyTypeText.length; i++) {
        if (this.companyTypeText[i] == '不限') {
          n = i;
        }
      }

      if (n != -1) {
        this.companyTypeText = ['不限'];
        return;
      }

      var arr = [];
      for (let i = 0; i < this.companyTypeText.length; i++) {
        for (let j = 0; j < this.companyTypeList.length; j++) {
          if (this.companyTypeText[i] == this.companyTypeList[j].label) {
            arr.push(this.companyTypeList[j].value);
          }
        }
      }
      var data = {
        value: arr,
        keyid: 'companyType',
        key: this.companyTypeText,
        title: '企业类型:'
      };

      this.aptitudelist.push(data);
    },
    // 登记状态
    businessStatusTextbtn() {
      for (let i = 0; i < this.aptitudelist.length; i++) {
        if (this.aptitudelist[i].keyid == 'businessStatus') {
          this.aptitudelist.splice(i, 1);
          i--;
        }
      }
      if (this.businessStatusText.length > 0 && this.businessStatusText[0] == '不限') {
        for (let i = 0; i < this.businessStatusText.length; i++) {
          if (this.businessStatusText[i] == '不限') {
            this.businessStatusText.splice(i, 1);
          }
        }
      } else if (this.businessStatusText.length == 0) {
        this.businessStatusText = ['不限'];
      }

      var n = -1;
      for (let i = 0; i < this.businessStatusText.length; i++) {
        if (this.businessStatusText[i] == '不限') {
          n = i;
        }
      }

      if (n != -1) {
        this.businessStatusText = ['不限'];
        return;
      }

      var arr = [];
      for (let i = 0; i < this.businessStatusText.length; i++) {
        for (let j = 0; j < this.businessStatusList.length; j++) {
          if (this.businessStatusText[i] == this.businessStatusList[j].label) {
            arr.push(this.businessStatusList[j].value);
          }
        }
      }
      var data = {
        value: arr,
        keyid: 'businessStatus',
        key: this.businessStatusText,
        title: '登记状态:'
      };

      this.aptitudelist.push(data);
    },
    // 成立年限
    establishListbtn() {

      for (let i = 0; i < this.aptitudelist.length; i++) {
        if (this.aptitudelist[i].keyid == 'establish') {
          this.aptitudelist.splice(i, 1);
          i--;
        }
      }

      const datetime = new Date();
      var startTime, endTime, Year, Month, Day;

      Year = datetime.getFullYear();
      Month = datetime.getMonth() + 1;
      Day = datetime.getDate();
      // console.log(Month)
      switch (this.establishText) {
        case '3月内':
          if (Month > 3) {
            startTime = (Year) + '-' + (Month - 3) + '-' + Day;
          } else {
            startTime = (Year - 1) + '-' + (12 + Month - 3) + '-' + Day;
          }
          endTime = (Year) + '-' + Month + '-' + Day;

          break;
        case '半年内':
          if (Month > 6) {
            startTime = (Year) + '-' + (Month - 6) + '-' + Day;
          } else {
            startTime = (Year - 1) + '-' + (12 + Month - 6) + '-' + Day;
          }
          endTime = (Year) + '-' + Month + '-' + Day;
          break;
        case '1年内':
          startTime = (Year - 1) + '-' + Month + '-' + Day;
          endTime = (Year) + '-' + Month + '-' + Day;
          break;
        case '1～3年':
          startTime = (Year - 3) + '-' + Month + '-' + Day;
          endTime = (Year - 1) + '-' + Month + '-' + Day;
          break;
        case '3～5年':
          startTime = (Year - 5) + '-' + Month + '-' + Day;
          endTime = (Year - 3) + '-' + Month + '-' + Day;
          break;
        case '5～10年':
          startTime = (Year - 10) + '-' + Month + '-' + Day;
          endTime = (Year - 5) + '-' + Month + '-' + Day;
          break;
        case '10年以上':
          startTime = '';
          endTime = (Year - 10) + '-' + Month + '-' + Day;
          break;

      }
      console.log(this.establishText);
      if (this.establishText == '自定义') {
        this.establishText = '';
        this.getinputDate();
        return;
      } else if (this.establishText == '不限') {
        this.$refs.establishPopper.hide();
        return;
      }
      this.$refs.establishPopper.hide();
      if (startTime) {
        var start = startTime.split('-');
        startTime = start.map((item) => {
          if (item.length == 1) {
            return '0' + item;
          } else {
            return item;
          }
        });
        startTime = startTime.join('-');
      }
      if (endTime) {
        var end = endTime.split('-');
        endTime = end.map((item) => {
          if (item.length == 1) {
            return '0' + item;
          } else {
            return item;
          }
        });
        endTime = endTime.join('-');
      }
      var data = {
        value: this.establishText,
        keyid: 'establish',
        key: this.establishText,
        startTime: startTime,
        endTime: endTime,
        title: '成立年限：'
      };
      this.aptitudelist.push(data);
    },
    getinputDate() {
      // console.log(this.$refs.saveDateInput[0]);
      // console.log(this.$refs.saveDateInput[0].$refs);
      this.$refs.saveDateInput[0].$refs.reference.children[1].focus();

    },
    // 自定义时间
    timeInput() {
      for (let x = 0; x < this.aptitudelist.length; x++) {
        if (this.aptitudelist[x].keyid == 'establish') {
          this.aptitudelist.splice(x, 1);
          x--;
        }
      }

      if (this.startTimetext.length > 0) {
        this.establishText = '自定义';
      }


      var data = {
        value: this.startTimetext[0] + '-' + this.startTimetext[1],
        keyid: 'establish',
        key: '',
        startTime: this.startTimetext[0],
        endTime: this.startTimetext[1],
        title: '成立年限：'
      };
      this.aptitudelist.push(data);
    },
    // 注册资本 实缴资本 社保人数
    handleNumber(command) {
      // console.log(command);
      if (command.label != "不限" && command.label != '自定义') {
        if (command.key == '注册资本') {
          for (let x = 0; x < this.aptitudelist.length; x++) {
            if (this.aptitudelist[x].keyid == 'RegisteredCapital') {
              this.aptitudelist.splice(x, 1);
              x--;
            }
          }
          var valuestr = command.value.split("-");
          var data = {
            value: command.value,
            keyid: 'RegisteredCapital',
            key: '',
            start: command.label[0],
            end: command.label[1] ? command.label[1] : '',
            title: '注册资本：'
          };
          if (command.label.length == 1) {
            data.end = '';
          }
          this.aptitudelist.push(data);
          this.$refs.popperMoney.hide();
          this.startNumMoney = '';
          this.endNumMoney = '';
        } else if (command.key == '实缴资本') {
          for (let x = 0; x < this.aptitudelist.length; x++) {
            if (this.aptitudelist[x].keyid == 'actualCapi') {
              this.aptitudelist.splice(x, 1);
              x--;
            }
          }
          var valuestr = command.value.split("-");
          var data = {
            value: command.value,
            keyid: 'actualCapi',
            key: '',
            start: command.label[0],
            end: command.label[1] ? command.label[1] : '',
            title: '实缴资本：'
          };
          if (command.label.length == 1) {
            data.end = '';
          }
          this.aptitudelist.push(data);
          this.$refs.popperActualCapi.hide();
          this.leftActualCapi = '';
          this.rightActualCapi = '';
        } else if (command.key == '社保人数') {
          for (let x = 0; x < this.aptitudelist.length; x++) {
            if (this.aptitudelist[x].keyid == 'InsuredNum') {
              this.aptitudelist.splice(x, 1);
              x--;
            }
          }
          var valuestr = command.label.split("-");
          var data = {
            value: command.value,
            keyid: 'InsuredNum',
            key: '',
            start: valuestr[0],
            end: valuestr[1] ? valuestr[1] : '',
            title: '社保人数：'
          };
          if (valuestr.length == 1) {
            data.end = '';
          }
          this.aptitudelist.push(data);
          this.$refs.popperInsuredNum.hide();
          this.startInsuredNum = '';
          this.endInsuredNum = '';
        }
      } else {
        if (command.key == '注册资本') {
          for (let x = 0; x < this.aptitudelist.length; x++) {
            if (this.aptitudelist[x].keyid == 'RegisteredCapital') {
              this.aptitudelist.splice(x, 1);
              x--;
            }
          }
        }
        if (command.key == '社保人数') {
          for (let x = 0; x < this.aptitudelist.length; x++) {
            if (this.aptitudelist[x].keyid == 'InsuredNum') {
              this.aptitudelist.splice(x, 1);
              x--;
            }
          }
        }
        if (command.key == '实缴资本') {
          for (let x = 0; x < this.aptitudelist.length; x++) {
            if (this.aptitudelist[x].keyid == 'actualCapi') {
              this.aptitudelist.splice(x, 1);
              x--;
            }
          }
        }
      }
    },
    // 注册资本 实缴资本 社保人数 自定义输入确定
    popperConfirm(type) {
      if (type == '注册资本') {
        this.showHandleNumber = false;
        for (let x = 0; x < this.aptitudelist.length; x++) {
          if (this.aptitudelist[x].keyid == 'RegisteredCapital') {
            this.aptitudelist.splice(x, 1);
            x--;
          }
        }
        var data = {
          value: '',
          keyid: 'RegisteredCapital',
          key: '',
          start: this.startNumMoney,
          end: this.endNumMoney,
          title: '注册资本：'
        };
        if (this.startNumMoney && !this.endNumMoney) {
          data.value = data.value + this.startNumMoney + '万以上';
        } else if (!this.startNumMoney && this.endNumMoney) {
          data.value = data.value + this.endNumMoney + '万以内';
        } else {
          data.value = data.value + this.startNumMoney + '-' + this.endNumMoney + '万';
        }
        this.aptitudelist.push(data);
        this.registeredAssetsText = '自定义';
        this.$refs.popperMoney.hide();
      } else if (type == '实缴资本') {
        this.showHandleNumber = false;
        for (let x = 0; x < this.aptitudelist.length; x++) {
          if (this.aptitudelist[x].keyid == 'actualCapi') {
            this.aptitudelist.splice(x, 1);
            x--;
          }
        }
        var data = {
          value: '',
          keyid: 'actualCapi',
          key: '',
          start: this.leftActualCapi,
          end: this.rightActualCapi,
          title: '实缴资本：'
        };
        if (this.leftActualCapi && !this.rightActualCapi) {
          data.value = data.value + this.leftActualCapi + '万以上';
        } else if (!this.leftActualCapi && this.rightActualCapi) {
          data.value = data.value + this.rightActualCapi + '万以内';
        } else {
          data.value = data.value + this.leftActualCapi + '-' + this.rightActualCapi + '万';
        }

        this.aptitudelist.push(data);
        this.actualCapi = '自定义';
        this.$refs.popperActualCapi.hide();
      } else if (type == '社保人数') {
        this.showHandleNumber = false;
        for (let x = 0; x < this.aptitudelist.length; x++) {
          if (this.aptitudelist[x].keyid == 'InsuredNum') {
            this.aptitudelist.splice(x, 1);
            x--;
          }
        }
        var data = {
          value: '',
          keyid: 'InsuredNum',
          key: '',
          start: this.startInsuredNum,
          end: this.endInsuredNum,
          title: '社保人数：'
        };
        if (this.startInsuredNum && !this.endInsuredNum) {
          data.value = data.value + this.startInsuredNum + '人';
        } else if (!this.startInsuredNum && this.endInsuredNum) {
          data.value = data.value + this.endInsuredNum + '人';
        } else {
          data.value = data.value + this.startInsuredNum + '-' + this.endInsuredNum + '人';
        }

        this.aptitudelist.push(data);
        this.InsuredNumText = '自定义';
        this.$refs.popperActualCapi.hide();
      }

    },
    // 注册资本 实缴资本 社保人数 自定义输入取消
    handleCancel(type) {
      if (type == '注册资本') {
        this.startNumMoney = '';
        this.endNumMoney = '';
        for (let x = 0; x < this.aptitudelist.length; x++) {
          if (this.aptitudelist[x].keyid == 'RegisteredCapital') {
            this.aptitudelist.splice(x, 1);
            x--;
          }
        }
        this.registeredAssetsText = '不限';
        this.showHandleNumber = false;
        this.$refs.popperMoney.hide();
      } else if (type == '实缴资本') {
        this.leftActualCapi = '';
        this.rightActualCapi = '';
        for (let x = 0; x < this.aptitudelist.length; x++) {
          if (this.aptitudelist[x].keyid == 'actualCapi') {
            this.aptitudelist.splice(x, 1);
            x--;
          }
        }
        this.actualCapi = '不限';
        this.showHandleNumber = false;
        this.$refs.popperActualCapi.hide();
      } else if (type == '社保人数') {
        this.startInsuredNum = '';
        this.endInsuredNum = '';
        for (let x = 0; x < this.aptitudelist.length; x++) {
          if (this.aptitudelist[x].keyid == 'InsuredNum') {
            this.aptitudelist.splice(x, 1);
            x--;
          }
        }
        this.startInsuredNum = '';
        this.showHandleNumber = false;
        this.$refs.popperActualCapi.hide();
      }
    },

    // 删除条件
    deleteAptitudelist(item, index) {
      // console.log(item.keyid);
      switch (item.keyid) {
        case 'ename':
          this.ename = '';
          break;
        case 'filePlaceCode':
          this.filePlaceCode = '';
          for (let x = 0; x < this.aptitudelist.length; x++) {
            if (this.aptitudelist[x].keyid == 'filePlaceType') {
              this.aptitudelist.splice(x, 1);
              x--;
            }
          }
          this.filePlaceType = '1';

          break;
        case 'filePlaceType':
          this.filePlaceType = '1';
          break;
        case 'address':
          this.addressType = [];
          this.addresslength = 0;
          break;
        case 'hasAptitude':
          this.radioQuali = '';
          break;
        case 'hasPhone':
          this.hasPhone = '';
          break;

        case 'hasLiceCert':
          this.hasLiceCert = '';
          break;
        case 'systemType':
          this.systemValue = [];
          break;
        case 'regionWeb':
          this.regionWeb = [];
          break;
        case 'isHighTech':
          this.isHighTechtext = '';
          break;
        case 'taxYear':
          this.aTaxYeartext = ['不限'];
          break;
        case 'companyType':
          this.companyTypeText = ['不限'];
          break;
        case 'businessStatus':
          this.businessStatusText = ['不限'];
          break;

        case 'establish':
          this.establishText = '不限';
          this.startTimetext = '';
          break;
        case 'RegisteredCapital':
          this.registeredAssetsText = '不限';
          this.startNumMoney = '';
          this.endNumMoney = '';
          break;
        case 'actualCapi':
          this.actualCapi = '不限';
          this.leftActualCapi = '';
          this.rightActualCapi = '';
          break;
        case 'InsuredNum':
          this.InsuredNumText = '';
          this.startInsuredNum = '';
          this.endInsuredNum = '';
          break;


      }
      this.aptitudelist.splice(index, 1);

    },
    // 资质删除
    deletenameStr(index) {
      this.aptitudeDtoList = [{
        nameStr: '',
        codeStr: [],
        queryTypelist: [{
          key: 'and',
          status: true,
          value: '同时具备'
        },
        {
          key: 'or',
          status: false,
          value: '任意均可'
        },
        {
          key: 'only',
          status: false,
          value: '有且只有'
        }
        ],
        queryType: 'and'
      }];


    },
    // 排除资质删除
    deletenameStrOut(index) {
      this.aptitudeDtoListOut = [{
        nameStr: '',
        codeStr: [],
        queryTypelist: [{
          key: 'and',
          status: true,
          value: '同时具备'
        },
        {
          key: 'or',
          status: false,
          value: '任意均可'
        },
        ],
        queryType: 'and'
      }];


    },

    reset() {

      Object.assign(this.$data, this.$options.data()); //重置data
      api.aptitudeCode().then(res => {
        if (res) {
          this.optionss = res;

        } else {
          this.optionss = aptitudeCode;

        }
      }).catch(error => {
        this.optionss = aptitudeCode;
      });

      this.getaddressList();
      this.getRegionWebList();
      this.search();

    },
    reloadPage() {
      this.pageFlag = false;
      this.$nextTick(() => {
        this.pageFlag = true;
      });
    },
    handsequencingList(index) {
      this.fieldshow = false;
      this.field = this.fieldOptions[index].key;
      for (let i = 0; i < this.fieldOptions.length; i++) {
        this.fieldOptions[i].status = false;
      }
      this.fieldText = this.fieldOptions[index].value;
      this.orderText = this.fieldOptions[index].order;
      this.fieldOptions[index].status = true;
      this.search();
    },
    handleCurrentChange(page) {
      this.page = page;
      this.search(page, this.limit);
    },
    // 空白点击
    outClick(e) {
      if (this) {
        let dropRef = this.$refs.dropRef.$el;
        // console.log('dropRef',dropRef)
        if (!dropRef.contains(e.target) && this.visible) {
          this.visible = false;
        }

      }

    },
    search(page, limit, exportFlag) {
      // return false;
      if (!page) {
        this.page = 1;
      }
      if (!limit) {
        this.limit = 20;
      }
      if (!page && !limit) {
        this.reloadPage();
      }

      var data = {
        eid: "",
        aptitudeQueryDto: {
          queryType: "and",
          nameStr: ""
        },
        "page": {
          "page": this.page,
          "limit": this.limit,
          "field": this.field,
          "order": this.orderText
        },
      };


      this.showList = true;
      if (this.resultEname) {
        data.aptitudeQueryDto['resultEname'] = this.resultEname;
      }
      if (this.aptitudelist.length > 0 || this.aptitudeDtoList.length > 0) {
        // console.log(this.aptitudelist);

        // 资质部分传值
        var queryTypeof = -1;
        var aptitudeDtoList = [];
        var dataList = {
          codeStr: [],
          queryType: '',
          aptitudeType: ''
        };

        var aptitudeType = '';
        if (this.qualificationsTab == '按资质项') {
          aptitudeType = 'qualification';
        } else if (this.qualificationsTab == '按等级') {
          aptitudeType = 'level';
        }



        for (let i = 0; i < this.aptitudeDtoList.length; i++) {
          if (this.aptitudeDtoList[i].codeStr && this.aptitudeDtoList[i].codeStr.length > 0) {
            dataList.codeStr.push(this.aptitudeDtoList[i].codeStr[this.aptitudeDtoList[i].codeStr.length -
              1]);
          }
          dataList.queryType = this.aptitudeDtoList[this.aptitudeDtoList.length - 1].queryType;
          dataList.aptitudeType = aptitudeType;
        }
        dataList.codeStr = dataList.codeStr.join(',');
        aptitudeDtoList.push(dataList);
        for (let i = 0; i < this.aptitudelist.length; i++) {

          if (this.aptitudelist[i].keyid == "address") {
            data.aptitudeQueryDto['province'] = this.aptitudelist[i].provinceCode.join(',');
            data.aptitudeQueryDto['city'] = this.aptitudelist[i].cityCode.join(',');
            data.aptitudeQueryDto['county'] = this.aptitudelist[i].countyCode.join(',');
          } else if (this.aptitudelist[i].keyid == "systemType") {
            data.aptitudeQueryDto['systemType'] = this.aptitudelist[i].systemValue;

          } else if (this.aptitudelist[i].keyid == "regionWeb") {
            data.aptitudeQueryDto['regionWeb'] = this.aptitudelist[i].regionWeb.join(',');

          } else if (this.aptitudelist[i].keyid == "taxYear") {
            data.aptitudeQueryDto['taxYear'] = this.aptitudelist[i].key.join(',');
          } else if (this.aptitudelist[i].keyid == "companyType") {
            data.aptitudeQueryDto['companyType'] = this.aptitudelist[i].key.join(',');

          } else if (this.aptitudelist[i].keyid == "businessStatus") {
            data.aptitudeQueryDto['businessStatus'] = this.aptitudelist[i].key.join(',');
          } else if (this.aptitudelist[i].keyid == "establish") {
            data.aptitudeQueryDto['startRegisteredDate'] = this.aptitudelist[i].startTime;
            data.aptitudeQueryDto['endRegisteredDate'] = this.aptitudelist[i].endTime;
          } else if (this.aptitudelist[i].keyid == "RegisteredCapital") {
            data.aptitudeQueryDto['leftRegisteredCapital'] = this.aptitudelist[i].start;
            data.aptitudeQueryDto['rightRegisteredCapital'] = this.aptitudelist[i].end;
          } else if (this.aptitudelist[i].keyid == "actualCapi") {
            data.aptitudeQueryDto['leftActualCapi'] = this.aptitudelist[i].start;
            data.aptitudeQueryDto['rightActualCapi'] = this.aptitudelist[i].end;
          } else if (this.aptitudelist[i].keyid == "InsuredNum") {
            data.aptitudeQueryDto['startInsuredNum'] = this.aptitudelist[i].start;
            data.aptitudeQueryDto['endInsuredNum'] = this.aptitudelist[i].end;
          } else {
            data.aptitudeQueryDto[this.aptitudelist[i].keyid] = this.aptitudelist[i].key;
          }

        }
        data.aptitudeQueryDto['aptitudeQueryType'] = this.aptitudeQueryType;
        data.aptitudeQueryDto['businessScopeQueryType'] = this.businessScopeQueryType;
        data.aptitudeQueryDto['filePlaceType'] = this.filePlaceType;


        data.aptitudeQueryDto['aptitudeDtoList'] = aptitudeDtoList;
        data.aptitudeQueryDto['aptitudeSource'] = 'new';
      }
      this.isSkeleton = true;
      this.dataEXCEL=JSON.parse(JSON.stringify(data));
      api.enterprisePage(data).then(res => {
        this.isSkeleton = false;
        if (res.code == 200) {
          this.tableData = res.data.list;
          this.total = res.data.total;
        }
      }).catch(error => {

      });

    },
    toEnterprise(id, html, type,name) {
      this.$tab.openPage(name, '/company/' + encodeStr(id) + '/' + (html ? html + '/' : '') + (type ? '?flag=true&type=' + type : ''))
    },
    toEnterpriseDetail(id,name) {
      this.$tab.openPage(name, '/company/' + encodeStr(id) )
    },

    labelsWidth(e, t = 0) {
      setTimeout(() => {
        if (this.$refs[e]) {
          let k = 0;
          for (var j = 0; j < this.$refs[e][0].children.length; j++) {
            k = k + (this.$refs[e][0].children[j].offsetWidth + 14);
          }
          if (k > 1074) {
            if (t == 1) {
              return true;
            }
            return '982px';
          } else {
            if (t == 1) {
              return false;
            }
            return '100%';
          }
        }
      }, 1000);
    },
    labelsClick(e, i, s) {
      this.$refs[e][0].style.height = 'auto';
      this.$refs[s][0].style.width = '100%';
      this.$refs[i][0].style.display = 'none';
    },
    chkPrice(obj) {
      obj = obj.replace(/[^\d.]/g, "");
      //必须保证第一位为数字而不是.
      obj = obj.replace(/^\./g, "");
      //保证只有出现一个.而没有多个.
      obj = obj.replace(/\.{2,}/g, ".");
      //保证.只出现一次，而不能出现两次以上
      obj = obj.replace(".", "$#$").replace(/\./g, "").replace("$#$", ".");
      if (obj == 0) {
        this.$message({
          showClose: true,
          message: '请输入大于0的数字',
          type: 'warning'
        });
        return "";
      }
      return obj;
    },
    clickDialog(key){
      if(key === 1){
        this.exportData={
          title:'企业资质',
          type:1,
          dialogExportVisible:false,
          forData: [
            {label: '企业名称', prop: 'text1',slot: true,minWidth: '120'},
            {label: '企业性质', prop: 'text2', slot: true,minWidth: '100'},
            {label: '资质类别', prop: 'text3',slot: true,minWidth: '150'},
            {label: '资质名称', prop: 'text4', slot: true,minWidth: '180'},
            {label: '发证日期', prop: 'text5',slot: true,minWidth: '110'},
            {label: '到期时间', prop: 'text6',minWidth: '110'},
            {label: '发证机关', prop: 'text7',minWidth: '150'},
            {label: '联系电话', prop: 'text8',minWidth: '140'},
            {label: '地址', prop: 'text9', slot: true,minWidth: '150'},
            {label: '备案情况', prop: 'text10', slot: true,minWidth: '150'},
            {label: '法定代表人', prop: 'text11', slot: true,minWidth: '120'},
            {label: '注册资本（万元）', prop: 'text12', slot: true,minWidth: '160'},
            {label: '成立时间', prop: 'text13', slot: true,minWidth: '120'},
            {label: '经营范围', prop: 'text14', slot: true,minWidth: '150'},
            {label: '企业详情链接', prop: 'text15', slot: true,minWidth: '150'},
          ],
          exportTableData:[
            {
              text1:'xxx有限公司',
              text2:'国有企业',
              text3:'建筑业企业资质',
              text4:'建筑工程施工总承包特级',
              text5:'2022-03-14',
              text6:'2023-12-31',
              text7:'住房和城乡建设部',
              text8:'6420xx11',
              text9:'重庆市渝中区XXX',
              text10:'外地入渝(重庆市工程信息网)',
              text11:'张XX',
              text12:'100000.0万元',
              text13:'1992-01-21',
              text14:'房屋建筑工程、公路工程、市政工程...',
              text15:'XXXXX',
            },
            {
              text1:'xxx有限公司',
              text2:'省属国企',
              text3:'建筑业企业资质',
              text4:'建筑工程施工总承包特级',
              text5:'2022-03-14',
              text6:'2023-12-31',
              text7:'住房和城乡建设部',
              text8:'6430xx11',
              text9:'重庆市渝北区XXX',
              text10:'重庆本地',
              text11:'王XX',
              text12:'120000.0万元',
              text13:'2000-06-16',
              text14:'房屋建筑工程、公路工程、市政工程...',
              text15:'XXXXX',
            },
          ],
          exportEXCEL:{}
        }
      }
      if(key === 2){
        this.exportData={
          title:'企业基本信息',
          type:2,
          dialogExportVisible:false,
          forData: [
            {label: '企业名称', prop: 'text1',slot: true,minWidth: '120'},
            {label: '企业性质', prop: 'text2', slot: true,minWidth: '120'},
            {label: '资质情况', prop: 'text3',slot: true,minWidth: '160'},
            {label: '经营状态', prop: 'text4', slot: true,minWidth: '160'},
            {label: '经营范围', prop: 'text5',slot: true,minWidth: '250'},
            {label: '统一社会信用代码', prop: 'text6',minWidth: '160'},
            {label: '注册省/市/区', prop: 'text7',minWidth: '150'},
            {label: '经营地址', prop: 'text8',minWidth: '140'},
            {label: '法人代表', prop: 'text9', slot: true,minWidth: '100'},
            {label: '注册资本（万元）', prop: 'text10', slot: true,minWidth: '150'},
            {label: '成立时间', prop: 'text11', slot: true,minWidth: '130'},
            {label: '曾用名', prop: 'text12', slot: true,minWidth: '100'},
            {label: '企业类型', prop: 'text13', slot: true,minWidth: '140'},
            {label: '参保人数', prop: 'text14', slot: true,minWidth: '120'},
            {label: '税务评级', prop: 'text15', slot: true,minWidth: '120'},
            {label: '安许证到期时间', prop: 'text16', slot: true,minWidth: '120'},
            {label: '联系电话', prop: 'text17', slot: true,minWidth: '120'},
            {label: '企业详情页（平台）', prop: 'text18', slot: true,minWidth: '150'},
          ],
          exportTableData:[
            {
              text1:'xxx有限公司',
              text2:'央企子公司',
              text3:'地基基础工程专业承包一级',
              text4:'存续（在营、开业、在册）',
              text5:'承担国内外公用、民用房屋建筑工程的施工、安装、咨询...',
              text6:'911100xxxx9351850',
              text7:'北京-北京市-海淀区',
              text8:'北京市XXXXX',
              text9:'张XX',
              text10:'3000000万元',
              text11:'2007-12-10',
              text12:'-',
              text13:'有限责任公司',
              text14:'1401',
              text15:'A级',
              text16:'2026-11-23',
              text17:'6420xx11',
              text18:'XXXXX',
            },
            {
              text1:'xxx有限公司',
              text2:'省属国企',
              text3:'建筑装修装饰工程专业承包一级',
              text4:'存续（在营、开业、在册）',
              text5:'承担国内外公用、民用房屋建筑工程的施工、安装、咨询...',
              text6:'911100xxxx9351850',
              text7:'重庆-重庆市-渝北区',
              text8:'重庆市XXXXX',
              text9:'李XX',
              text10:'200000万元',
              text11:'2008-12-10',
              text12:'-',
              text13:'有限责任公司',
              text14:'1101',
              text15:'A级',
              text16:'2027-11-23',
              text17:'6430xx11',
              text18:'XXXXX',
            },
          ],
          exportEXCEL:{}
        }
      }
      this.exportData.dialogExportVisible=true;
    },
    clickEXCEL(value,title) {
      if(value > 2000){
        return
      }
      this.dataEXCEL.exportExeclName=title;
      if(value){
        this.dataEXCEL.exportCount=value
      }else {
        this.dataEXCEL.exportCount=2000;
      }
      console.log(this.exportData)
      //企业资质
      if(this.exportData.type === 1){
        api.aptitudeExport(this.dataEXCEL).then(res => {
          if(res.code === 200){
            this.exportData.exportEXCEL=true;
          }else {
            this.$message.error(res.msg);
          }
        })
      }
      //企业基本信息
      if(this.exportData.type === 2){
        api.infoExport(this.dataEXCEL).then(res => {
          if(res.code === 200){
            this.exportData.exportEXCEL=true;
          }else {
            this.$message.error(res.msg);
          }
        })
      }
    },
    cancel(){
      this.exportData.dialogExportVisible=false;
      this.exportData.exportEXCEL={}
    },

  }
}
</script>
<style lang="scss" scoped>
.content {
  padding: 0px 16px;
  padding-top: 16px;
  border-radius: 4px 4px 4px 4px;
  background: #ffffff;
  .content_item {
    padding-top: 20px;
    display: flex;
    align-items: center;
    .label {
      width: 84px;
      font-size: 14px;
      font-weight: 400;
      color: rgba(35, 35, 35, 0.8);
    }
    .content_right {
      .ename_input {
        width: 640px;

        margin-right: 20px;
      }
      .el-input-group {
        display: flex;
        align-items: center;
      }
      ::v-deep .el-input-group__append {
        padding: 0px;
        line-height: 34px;
        font-weight: 400;
        color: #0081ff;
        height: 34px;
        width: 80px;
        background: #f5f5f5;
        border-radius: 0px 0px 0px 0px;
        text-align: center;
        cursor: pointer;
      }
    }

    .item_ckquery_list {
      display: flex;
      align-items: center;
      .qualifications-tab {
        margin-right: 4px;
        border: 1px solid #e0e0e0;
        padding: 2px 3px;
        border-radius: 2px;
        height: 34px;
        margin-top: 1px;
        span {
          background: #fff;
          display: inline-block;
          cursor: pointer;
          float: left;
          border-radius: 2px;
          padding: 3px 8px;
          margin-top: 0.5px;
        }
        .action {
          color: #ffffff;
          background: #0081ff;
        }
      }

      .content_item_list {
        width: 280px;
      }
      .ckquery_list_right {
        width: 670px;
      }
    }

    .item_ckquery_list .el-input__icon {
      position: relative;
      top: 1px;
    }
    .ckquery_list_right {
      width: 640px;
    }
    .register_count_ipt {
      margin-left: 0px;
    }
    .register_count_ipt .el-input__inner {
      width: 174px;
    }
    ::v-deep .el-input-group__prepend {
      padding: 0 8px;
    }
    .content-projecttype {
      display: flex;
      align-items: center;
      justify-content: center;
      .projecttype {
        font-weight: 400;
        color: #232323;
        padding: 1px 5px;
        margin-right: 4px;
        cursor: pointer;
        border-radius: 3px 3px 3px 3px;
        font-size: 14px;
      }
      .projecttype:first-child {
        padding-left: 0px;
      }
      .projecttype:hover {
        background: #f3f4f5;
        padding: 1px 5px;
      }
      .activetype {
        background: #f3f4f5;
        padding: 1px 5px !important;
      }
    }
  }

  .content_item_padding0 {
    padding: 0;
  }
  .content_item1 {
    align-items: flex-start;
    .content_right {
      width: 1400px;
      .select-popper {
        margin-bottom: 20px;
      }
    }
  }
}
.bottomlist {
  width: 100%;
  background-color: #ffffff;

  border-radius: 4px 4px 4px 4px;
  .bottomlist-title {
    display: flex;
    justify-content: space-between;
    align-items: center;
    margin: 0px 16px;
    margin-top: 12px;
    padding: 16px 0px;
    border-bottom: 1px solid #efefef;
    .title-left {
      height: 16px;
      line-height: 16px;
      font-size: 12px;
      font-weight: 400;
      color: #3d3d3d;
    }
    .title-right {
      display: flex;
      align-items: center;
      position: relative;
      .p{
        display: flex;
        align-items: center;
        font-size: 14px;
        font-weight: 400;
        color: rgba(35, 35, 35, 0.8);
      }
      img {
        width: 18px;
        height: 18px;
      }
      .excel {
        cursor: pointer;
      }
      .export{
        width: 135px;
        position: absolute;
        top: 30px;
        align-items: center;
        background: #ffffff;
        z-index: 9;
        left: -11px;
        padding: 6px 10px;
        box-shadow: 0px 2px 10px rgba(0,21,41,.08);
        p{
          font-size: 14px;
          font-weight: 400;
          color: rgba(35, 35, 35, 0.8);
          cursor: pointer;
        }
        p:hover{
          color:#0089ff;
        }
      }
    }
  }
  .bottomlist-content {
    padding-bottom: 0px;
  }

  .pagination {
    padding: 14px;
    .el-pagination {
      float: right;
    }
  }
  .card-right-title1 {
    display: block !important;
    overflow: hidden;
  }
  .positive1 {
    padding: 0 8px !important;
    margin-right: 7px !important;
  }
  .positive-gdbq {
    font-size: 12px;
    font-weight: 400;
    color: #0081ff;
    cursor: pointer;
  }
}
.content_item_ckquery {
  .item_ckquery {
    margin-bottom: 0px;
  }
}

.aptitude_choice_wrap {
  position: relative;
  display: inline-block;
  width: 1060px;

  .resultsSour_btnlist_span {
    margin-right: 16px;
  }

  .resultsSour_btnlist_span_24 {
    margin-right: 24px;
  }

  .choice_radio {
    position: absolute;
    right: -16px;
    bottom: 0;
  }
}
</style>
